<?php
/**
 * サムネイル画像を取得
 * @since 1.1.0
 * @return string
 */
if( !function_exists( 'stlbl_get_thumbnail_url' ) ) {
  function stlbl_get_thumbnail_url( $id=null, $size="full" ) {

    if( !$id ) $id = get_the_ID();

    if( has_post_thumbnail( $id ) ) {

      $thumbnail_url = get_the_post_thumbnail_url( $id, $size );

    } elseif( stlbl_get_the_customizer_image( 'stl_default_thumbnail', $size ) ) {

      $default_thumbnail_url = stlbl_get_the_customizer_image( 'stl_default_thumbnail', $size );
      $thumbnail_url = esc_url( $default_thumbnail_url );

    } else {
      switch ( $size ) {
        case 'full':
          $thumbnail_url = STLBL_PLUGIN_PATH . 'build/images/no-image.jpg';
          break;

        case 'large':
          $thumbnail_url = STLBL_PLUGIN_PATH . 'build/images/no-image.jpg';
          break;

        case 'medium_large':
          $thumbnail_url = STLBL_PLUGIN_PATH . 'build/images/no-image.jpg';
          break;

        case 'medium':
          $thumbnail_url = STLBL_PLUGIN_PATH . 'build/images/no-image.jpg';
          break;

        case 'thumbnail':
          $thumbnail_url = STLBL_PLUGIN_PATH . 'build/images/no-image-thumbnail.jpg';
          break;

        default:
          $thumbnail_url = STLBL_PLUGIN_PATH . 'build/images/no-image.jpg';
          break;
      }
    }
    return $thumbnail_url;
  }
}

/**
 * カスタマイザーの画像をサイズ指定して取得する
 * @since 1.1.0
 * @return string
 */
if( !function_exists( 'stlbl_get_the_customizer_image' ) ) {
  function stlbl_get_the_customizer_image( $name, $size = 'full' ){

    $image_mod = get_theme_mod( $name );

    if ( is_int( $image_mod ) ) { 
      $image_data = wp_get_attachment_image_src( $image_mod, '' );
      $image_url = $image_data[0];
    } else {
      $image_url = esc_url( $image_mod );
    }
    
    $image_id = attachment_url_to_postid( $image_url );

    $image_array = wp_get_attachment_image_src( $image_id, $size );
    $image_url = $image_array[0];

    if ( $image_url ) {
      return $image_url;
    } else {
      return false;
    }
  }
}
